#!/bin/sh

usage() {
    echo -e -n "\n"
    echo "syncGroupMembershipForGroups.sh [options...] <groupName1> <groupName2> ... <groupNamen>"
    echo -e -n "\n"
    echo "Options:"
    echo "    -?, -help                             print this message"
    echo "    -u <username>, -username <username>   user name of admin user"
    echo "    -p <password>, -password <password>   user password (unencrypted)"
    echo "    -host                                 server host name, must be used with port"
    echo "    -port                                 server SOAP port number"
    echo -e -n "\n"
    echo "group names:"
    echo "    Provide a list of space delimited group names the members of which are to be updated for membership in the specified groups."
    echo -e -n "\n"

    exit $1
}

USERNAME_ARG=
PASSWORD_ARG=
USER_INSTALL_ROOT=
HOSTNAME=
SERVERPORT=
GROUP_NAMES=

FINISHED='0'
until [ "$#" = "0" -o $FINISHED = '1' ]
do
    case "$1" in
        '-help'|'-?')
            usage 0
            ;;
        '-USER_INSTALL_ROOT')
            USER_INSTALL_ROOT="$2"
            shift;shift
            ;;
        '-username'|'-u'|'-user')
            USERNAME_ARG="-user $2"
            shift;shift
            ;;
        '-password'|'-p')
            PASSWORD_ARG="-password $2"
            shift;shift
            ;;
        '-host')
            HOSTNAME="-host $2"
            shift;shift
            ;;
        '-port')
            SERVERPORT="-port $2"
            shift;shift
            ;;
        *)
            if [ ! "$1" ]
            then
               usage 1
            fi
            GROUP_NAMES="$*"
            FINISHED='1'
            ;;
    esac
done

if [ ! "$GROUP_NAMES" ]
then
    usage 1
fi


if [ ! "$USER_INSTALL_ROOT" ]
then
    echo "WARNING: Execute script from profile's 'bin' directory."
fi

if [ -n "$HOSTNAME" ]
then

     $USER_INSTALL_ROOT/bin/wsadmin.sh -lang jython -wsadmin_classpath $WAS_HOME"/BPM/Lombardi/lib/ps.jar":$WAS_HOME"/BPM/Lombardi/lib/utility.jar" $USERNAME_ARG $PASSWORD_ARG -conntype SOAP $HOSTNAME $SERVERPORT -f $WAS_HOME"/BPM/Lombardi/tools/security/syncGroupMembershipForGroups.jy" $GROUP_NAMES

else

     $USER_INSTALL_ROOT/bin/wsadmin.sh -lang jython -wsadmin_classpath $WAS_HOME"/BPM/Lombardi/lib/ps.jar":$WAS_HOME"/BPM/Lombardi/lib/utility.jar" $USERNAME_ARG $PASSWORD_ARG -f $WAS_HOME"/BPM/Lombardi/tools/security/syncGroupMembershipForGroups.jy" $GROUP_NAMES

fi


if [ "$?" -ne "0" ]
then
    echo "Failed, please see logs for further details."
    echo -e -n "\n"
    exit $?
fi
